//
//  HMAccessoryCategoryTypes.h
//  HomeKit
//
//  Copyright © 2015 Apple Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <HomeKit/HMDefines.h>

/*!
 * @group Accessory Category Types
 *
 * @brief These constants define the accessory category types supported for HomeKit accessories.
 */

/*!
 * @brief Category type for Other.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeOther NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Security System.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeSecuritySystem NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Bridge.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeBridge NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Door.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeDoor NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Door Lock.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeDoorLock NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Fan.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeFan NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Garage Door Opener.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeGarageDoorOpener NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Lightbulb.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeLightbulb NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Outlet.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeOutlet NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Programmable Switch.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeProgrammableSwitch NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Sensor.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeSensor NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Switch.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeSwitch NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Thermostat.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeThermostat NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Window.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeWindow NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);

/*!
 * @brief Category type for Window Covering.
 */
HM_EXTERN NSString * const HMAccessoryCategoryTypeWindowCovering NS_AVAILABLE_IOS(9_0) __WATCHOS_AVAILABLE(__WATCHOS_2_0);
